Bug 1295257 (php-di-invoker) - Review Request: php-di-invoker - Generic and extensible callable invoker
Summary: Review Request: php-di-invoker - Generic and extensible callable invoker
Keywords:
Status: CLOSED ERRATA
Alias: php-di-invoker
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-container-interop
Blocks: php-di
TreeView+ depends on / blocked
 
Reported: 2016-01-04 01:57 UTC by Shawn Iwinski
Modified: 2016-01-25 01:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-20 21:56:19 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (10.38 KB, text/plain)
2016-01-05 08:35 UTC, Remi Collet
no flags Details
review.txt (6.97 KB, text/plain)
2016-01-05 08:35 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2016-01-04 01:57:59 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/d2ec09742470ef3c4acb0b4d37f5792ceb5abfbc/php-di-invoker/php-di-invoker.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-di-invoker-1.2.0-1.fc23.noarch.rpm

Description:
Generic and extensible callable invoker.

Autoloader: /usr/share/php/Invoker/autoload.php


Fedora Account System Username: siwinski

Comment 2 Remi Collet 2016-01-05 08:35:03 UTC
Created attachment 1111760 [details]
phpci.log

phpCompatInfo version 5.0.0 DB built Dec 29 2015 09:34:25 CET static analyze results

Comment 3 Remi Collet 2016-01-05 08:35:29 UTC
Created attachment 1111761 [details]
review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1295257
Buildroot used: fedora-rawhide-x86_64

Comment 4 Upstream Release Monitoring 2016-01-05 08:39:16 UTC
remi's scratch build of php-di-invoker-1.2.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12415855

Comment 5 Remi Collet 2016-01-05 08:40:47 UTC
[x]: Package is named according to the Package Naming Guidelines.
    Per strict application of Guildelines, should be php-php-di-invoker
    But I agree php-di-invoker is better.

[x]: %check is present and all tests pass.
    With PHPUnit 4.8 or 5.1
    With PHP 5.6 and 7.0


No blocker

=== APPROVED ===

Comment 6 Shawn Iwinski 2016-01-05 13:16:50 UTC
THANKS for the review!

Comment 7 Gwyn Ciesla 2016-01-05 13:30:36 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-di-invoker

Comment 8 Fedora Update System 2016-01-07 20:02:46 UTC
php-di-symfony2-bridge-1.1.0-1.fc22 php-di-5.2.0-1.fc22 php-di-invoker-1.2.0-1.fc22 php-mnapoli-phpunit-easymock-0.2.1-1.fc22 php-di-phpdoc-reader-2.0.1-1.fc22 php-container-interop-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d

Comment 9 Fedora Update System 2016-01-07 20:02:47 UTC
php-di-symfony2-bridge-1.1.0-1.el7 php-di-5.2.0-1.el7 php-di-invoker-1.2.0-1.el7 php-mnapoli-phpunit-easymock-0.2.1-1.el7 php-di-phpdoc-reader-2.0.1-1.el7 php-container-interop-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cc24c1200

Comment 10 Fedora Update System 2016-01-07 20:03:27 UTC
php-di-symfony2-bridge-1.1.0-1.fc23 php-di-5.2.0-1.fc23 php-di-invoker-1.2.0-1.fc23 php-mnapoli-phpunit-easymock-0.2.1-1.fc23 php-di-phpdoc-reader-2.0.1-1.fc23 php-container-interop-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24c3e6b59c

Comment 11 Fedora Update System 2016-01-07 20:03:29 UTC
php-container-interop-1.1.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-63cd5fa5f4

Comment 12 Fedora Update System 2016-01-08 21:23:50 UTC
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cc24c1200

Comment 13 Fedora Update System 2016-01-09 04:25:20 UTC
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d

Comment 14 Fedora Update System 2016-01-09 04:27:46 UTC
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24c3e6b59c

Comment 15 Fedora Update System 2016-01-20 21:56:06 UTC
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-01-21 04:48:53 UTC
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-01-25 01:30:02 UTC
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.